```mermaid
sequenceDiagram
    participant browser
    participant server

    note right of browser: On submit button press
    note right of browser: Client creates and renders a new note

    browser->>server: POST https://studies.cs.helsinki.fi/exampleapp/new_note_spa, {content, date}
    note over browser,server: The call is not sent by the form but instead by the spa.js -file
    activate server
    server-->>browser: ACK
    deactivate server
```